package com.yunzhi.inte.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 消息表;
 * @author : http://www.chiner.pro
 * @date : 2022-10-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "消息表",description = "")
@TableName("notice_message")
public class NoticeMessage implements Serializable,Cloneable{
    /** 消息ID */
    @ApiModelProperty(name = "消息ID",notes = "")
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id ;
    /** 消息内容 */
    @ApiModelProperty(name = "消息内容",notes = "")
    private String message ;
    /** 对象类型 */
    @ApiModelProperty(name = "对象类型",notes = "")
    private String targetType ;
    /** 对象ID */
    @ApiModelProperty(name = "对象ID",notes = "")
    private String targetId ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createDate ;

}